/*!
Theme Name: DC Theme
Description: Theme for DC Sites
Author: DOJO Creative
Author URI: https://letsgodojo.com/
Template: hello-elementor
Version: 1.0.0
Text Domain: dctheme
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/
/* Add your custom styles here */
:root {
  --e-global-color-primary: #010A17;
  --e-global-color-secondary: #015699;
  --e-global-color-text: #FFFFFF;
  --e-global-color-accent: #D3B34E;
  --e-global-color-d08605a: #AB8E32;
  --e-global-color-17264f4: #003E6E;
}

table {
  font-size: 1em;
}

/* Section - Light styles */
:where(.e-con.p-con-light) {
  --pcon-bg: var(--e-global-color-secondary, #ccc);
  --pcon-fg: var(--e-global-color-text, #333);
  background-color: var(--pcon-bg);
  color: var(--pcon-fg);
}

/* Make common text widgets inherit (still overridable per-widget in GUI) */
:where(.e-con.p-con-light) :is(.elementor-heading-title,
.elementor-widget-text-editor,
h1,
h2,
h3,
h4,
h5,
h6,
p,
li,
blockquote) {
  color: inherit;
}

/* Optional: links follow the text color unless you style them in GUI */
:where(.e-con.p-con-light) a {
  color: inherit;
}

/* Section - Dark (accent) styles */
:where(.e-con.p-con-dark) {
  --pcon-bg: var(--e-global-color-accent, rgb(188, 0, 0));
  --pcon-fg: #fff;
  background-color: var(--pcon-bg);
  color: var(--pcon-fg);
}

/* Make common text widgets inherit (still overridable per-widget in GUI) */
:where(.e-con.p-con-dark) :is(.elementor-heading-title,
.elementor-widget-text-editor,
h1,
h2,
h3,
h4,
h5,
h6,
p,
li,
blockquote) {
  color: inherit;
}

/* Optional: links follow the text color unless you style them in GUI */
:where(.e-con.p-con-dark) a {
  color: inherit;
}

main#content {
  --padding-top: 100px;
  --padding-bottom: 100px;
  --padding-left: 20px;
  --padding-right: 20px;
  padding-top: var(--padding-top);
  padding-bottom: var(--padding-bottom);
}
@media (max-width: 1366px) {
  main#content {
    --padding-top: 50px;
    --padding-bottom: 50px;
    --padding-left: 20px;
    --padding-right: 20px;
  }
}

.elementor-page main#content {
  padding-top: 0;
  padding-bottom: 0;
  margin-top: -4vw;
  z-index: 1;
}

.e-con.p-con-orange {
  --padding-top: 100px;
  --padding-bottom: 100px;
  --padding-left: 20px;
  --padding-right: 20px;
  background: url(images/orange-bg.png) no-repeat center;
  background-size: cover;
}
@media (max-width: 1366px) {
  .e-con.p-con-orange {
    --padding-top: 50px;
    --padding-bottom: 50px;
    --padding-left: 20px;
    --padding-right: 20px;
  }
}
.e-con.p-con-orange h1 {
  color: #FFF;
  text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.5), 0 8px 20px rgba(0, 0, 0, 0.82);
}
.e-con.p-con-orange h2, .e-con.p-con-orange h3, .e-con.p-con-orange h4, .e-con.p-con-orange h5, .e-con.p-con-orange h6 {
  color: #FFF;
}
.e-con.p-con-def {
  --padding-top: 100px;
  --padding-bottom: 100px;
  --padding-left: 20px;
  --padding-right: 20px;
}
@media (max-width: 1366px) {
  .e-con.p-con-def {
    --padding-top: 50px;
    --padding-bottom: 50px;
    --padding-left: 20px;
    --padding-right: 20px;
  }
}
.e-con.p-con-def + .e-con.p-con-def {
  --padding-top:0;
}

#legal {
  font-size: 15px;
  color: rgba(255, 255, 255, 0.3);
}
#legal a {
  color: rgba(255, 255, 255, 0.3);
}
#legal svg .d-d {
  fill: rgba(255, 255, 255, 0.3);
}
#legal svg .d-j {
  fill: rgba(255, 255, 255, 0.3);
}

/*** Header Styles ***/
.dj_header {
  position: relative;
}

.dj_header:after {
  content: "";
  position: absolute;
  bottom: -55px;
  left: 0;
  width: 100%;
  height: 100px;
  background-image: url("/wp-content/themes/dctheme/images/header-bg.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center bottom;
  pointer-events: none;
}

@media (width <= 1285px) {
  .dj_header:after {
    bottom: -69px !important;
  }
}
.dj_header .elementor-nav-menu--dropdown .elementor-nav-menu {
  padding: 20px 0;
}

/*** Footer Styles ***/
.dj_footer {
  position: relative;
}

.dj_footer:before {
  content: "";
  position: absolute;
  top: -45px;
  left: 0;
  width: 100%;
  height: 50px;
  background-image: url("/wp-content/themes/dctheme/images/footer-bg.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center bottom;
  pointer-events: none;
}

@media (width <= 1285px) {
  .dj_footer:before {
    top: -32px !important;
  }
}
/*** Global Styles ***/
.dj_cards_section {
  overflow-x: clip;
}

.elementor-widget-text-editor p:last-child {
  margin-bottom: 0;
}

.dj_hd_shadow h1.elementor-heading-title {
  text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.5), 0 8px 20px rgba(0, 0, 0, 0.82);
}

.dj_card_flipped:hover {
  transform: rotate(0deg);
}

.dj_iconbox .elementor-icon-box-wrapper {
  position: relative;
}

.dj_iconbox .elementor-icon-box-title a::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
}

.dojo-flip-box-front, .dojo-flip-box-back {
  align-items: flex-start !important;
  justify-content: flex-start !important;
  text-align: left !important;
  background-color: #fff !important;
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
}

.dj_card_rotate {
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
  transform: rotate(-3deg);
}

.dj_card_rotate_right {
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
  transform: rotate(3deg);
}

.dj_card_rotate_right_10 {
  transform: rotate(10deg);
}

.dj_card_rotate_right_10 img {
  padding: 20px;
  padding-bottom: 60px;
  background-color: #fff;
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
}

.dj_flip_card_odd.elementor-widget-image-box, .dj_flip_card_even.elementor-widget-image-box {
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
}

.dj_img_rotate img {
  padding: 20px;
  padding-bottom: 60px;
  background-color: #fff;
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
  transform: rotate(-3deg);
}

@media (width >= 1025px) {
  .dj_flip_card_odd {
    transform: rotate(-10deg);
  }
  .dj_flip_card_even {
    transform: rotate(5deg);
  }
}
.dj-front-image, .dj-front-image img {
  width: 100%;
}

.dj-front-image img {
  max-height: 280px;
  min-height: 280px;
  -o-object-fit: cover;
     object-fit: cover;
}

.dj_iconbox .elementor-icon-box-title {
  margin-top: 0;
}

.dj_imagebox img {
  max-width: 180px;
}

.dj_imagebox_small {
  box-shadow: 4px 4px 4px 0 rgba(0, 0, 0, 0.1), 0 4px 20px 0 rgba(0, 0, 0, 0.25);
  transform: rotate(10deg);
  max-width: 350px !important;
}

@media (width <= 767px) {
  .dj_iconbox.elementor-widget-icon-box.elementor-mobile-position-block-start .elementor-icon-box-wrapper, .dj_imagebox.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper {
    display: flex;
    flex-direction: row !important;
    align-items: center !important;
  }
  .dj_iconbox .elementor-icon-box-content {
    text-align: left;
  }
}
.dj_faq .e-n-accordion details:first-child summary {
  border-radius: 10px 10px 0 0;
}

.dj_faq .e-n-accordion details:not(:last-child) summary, .dj_faq .e-n-accordion details:last-child summary[aria-expanded=true] {
  border-bottom: none;
}

.dj_faq .e-n-accordion details:last-child summary[aria-expanded=false], .dj_faq .e-n-accordion details:last-child div {
  border-radius: 0 0 10px 10px;
}

/*** Blog Styles ***/
.elementor-widget-text-editor ul, .elementor-widget-text-editor ol {
  padding-left: 20px;
  margin-bottom: 14px;
}

.elementor-widget-text-editor li {
  margin: 10px 0;
}

.dj_blog:hover .elementor-heading-title {
  color: var(--e-global-color-secondary) !important;
}

.menu-item .elementor-item, .menu-item .elementor-item span {
  display: block;
}

.menu-item .elementor-item span {
  font-family: var(--e-global-typography-text-font-family), Sans-serif;
  font-size: var(--e-global-typography-text-font-size);
  font-weight: var(--e-global-typography-text-font-weight);
  line-height: var(--e-global-typography-text-line-height);
}

/*** Flip Box Styles ***/
.dojo-flip-box-55b015c4 {
  background-color: transparent;
  width: 100%;
  height: 400px;
  perspective: 1000px;
}

.dojo-flip-box-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.dojo-flip-box-55b015c4:hover .dojo-flip-box-inner {
  transform: rotateY(180deg);
}

.dojo-flip-box-front, .dojo-flip-box-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.dojo-flip-box-front {
  background-color: #f9f9f9;
  padding: 20px;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.dojo-flip-box-back {
  background-color: #e9e9e9;
  transform: rotateY(180deg);
  padding: 20px;
  align-items: center;
  justify-content: center;
  text-align: center;
}

/* Image styles */
.dj-front-image img {
  max-width: 100%;
  height: auto;
  display: block;
  margin-bottom: 15px;
}

/* Container Inner Back styles */
.dj_fc_back {
  background-color: rgba(0, 0, 0, 0.05); /* default fallback */
  padding: 15px;
  margin-bottom: 20px;
  width: 100%;
  border-radius: 5px;
}

.dj-back-text {
  margin-top: 10px;
}

/* Hide required text */
.gform_required_legend {
  display: none;
}

/* Text, Label Styles */
.gform_wrapper .gfield_label, .gform_wrapper input, .gform_wrapper select, .gform_wrapper textarea, .gform_wrapper .gf_progressbar_title, .ginput_container label {
  font-family: var(--e-global-typography-text-font-family), Sans-serif;
  font-size: var(--e-global-typography-text-font-size) !important;
  line-height: var(--e-global-typography-text-line-height) !important;
}

.gform_wrapper .gfield_label {
  font-weight: 700 !important;
}

.gform_wrapper input, .gform_wrapper textarea, .gform_wrapper .ginput_container_select {
  border-radius: 3px !important;
  border: 1px solid #B8C0BB !important;
}

.gform_wrapper input, .gform_wrapper textarea {
  padding: 25px 10px !important;
}

.gform_wrapper input.gfield-choice-input {
  padding: 0 !important;
}

.ginput_container_select {
  padding: 5px 0px;
}

.ginput_container_select select {
  padding-top: 7px !important;
}

.ginput_container_select select {
  background: transparent !important;
  border: none !important;
  box-shadow: none !important;
}

.gfield.gfield--type-checkbox .gchoice input {
  padding: 0;
}

.gfield--input-type-date .ginput_container_date input {
  width: 100%;
}

.gfield label {
  color: #fff;
}

/* Submit Button  */
.gform_wrapper input[type=button], .gform_wrapper input[type=submit] {
  font-family: var(--e-global-typography-accent-font-family), Sans-serif !important;
  font-size: var(--e-global-typography-accent-font-size) !important;
  font-weight: var(--e-global-typography-accent-font-weight) !important;
  line-height: var(--e-global-typography-accent-line-height) !important;
  text-transform: uppercase !important;
  background-color: var(--e-global-color-secondary) !important;
  border: none !important;
  padding: 15px 40px 15px 40px !important;
}

.gform_wrapper input[type=button]:hover, .gform_wrapper input[type=submit]:hover {
  background-color: var(--e-global-color-f396979) !important;
}

.dc-dialog {
  padding: 0;
  border: 0;
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.5), 0 0 20px rgba(0, 0, 0, 0.5);
  border-radius: 20px;
}
.dc-dialog .inner {
  max-width: 980px;
  padding: 20px;
  gap: 40px;
}
@media screen and (min-width: 620px) {
  .dc-dialog .inner {
    display: grid;
    grid-template-columns: 2fr 3fr;
  }
}
.dc-dialog .button {
  text-align: right;
}
.dc-dialog .button button {
  padding: 10px;
  background: none;
  border: 0;
  box-shadow: none;
}
.dc-dialog .button button:hover {
  background: var(--e-global-color-832eba0);
}
.dc-dialog::backdrop {
  background: rgba(0, 0, 0, 0.5);
  -webkit-backdrop-filter: blur(8px);
          backdrop-filter: blur(8px);
}

#team-dialog-role {
  font-weight: bold;
  color: #01853A;
}

#team-dialog-image {
  border-radius: 8px;
}
@media screen and (min-width: 768px) {
  #team-dialog-image {
    aspect-ratio: 3/4;
    -o-object-fit: cover;
       object-fit: cover;
  }
}

#team-dialog-contacts {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
@media screen and (min-width: 768px) {
  #team-dialog-contacts {
    flex-direction: row;
    gap: 10px;
  }
}

#team-dialog-email, #team-dialog-phone, #team-dialog-title {
  color: var(--dojo-color-accent);
}

#team-dialog-phone, #team-dialog-facebook, #team-dialog-linkedin {
  font-weight: bold;
  font-size: 0.8em;
}
#team-dialog-phone:before, #team-dialog-facebook:before, #team-dialog-linkedin:before {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  background: var(--dojo-color-accent);
  vertical-align: middle;
  margin-right: 5px;
  -webkit-mask-size: contain;
          mask-size: contain;
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
}

/*#team-dialog-email:before {
  mask-image:url(img/mail.svg);
}*/
#team-dialog-facebook[href=""] {
  display: none;
}

#team-dialog-phone[href=""] {
  display: none;
}

#team-dialog-linkedin[href=""] {
  display: none;
}

#team-dialog-instagram[href=""] {
  display: none;
}

#team-dialog-phone:before {
  -webkit-mask-image: url(img/phone.svg);
          mask-image: url(img/phone.svg);
}

#team-dialog-facebook:before {
  -webkit-mask-image: url(img/facebook.svg);
          mask-image: url(img/facebook.svg);
}

#team-dialog-linkedin:before {
  -webkit-mask-image: url(img/linkedin.svg);
          mask-image: url(img/linkedin.svg);
}

.team-social-list li:has(> span) {
  display: none !important;
}

.team-popup-trigger {
  cursor: pointer;
}

#team-dialog-name {
  margin-bottom: 5px;
}

#team-dialog-bio {
  padding-top: 2rem;
}

header.elementor-location-header {
  position: relative;
}